<template>
  <div class="site-footer-header header-assurance trunk">
    <ul>
      <li
        v-for="(assuranceOption, index) in assuranceOptions"
        :key="index"
        :class="assuranceOption.class"
      >
        <div>
          <img :src="assuranceOption.img" alt="" width="55" height="55" />
        </div>
        <p class="text">{{ assuranceOption.text }}</p>
      </li>
    </ul>
  </div>
</template>

<script>
const assuranceOptions = [
  {
    img: 'ic-r-assurance-paiement-s-curis.svg',
    text: 'secure_payment',
    class: ''
  },
  {
    img: 'ic-r-assurance-service-client.svg',
    text: 'customer_service',
    class: 'hide-mobile'
  },
  {
    img: 'ic-r-assurance-offre-num-rique.svg',
    text: 'offer_is_legal',
    class: ''
  },
  {
    img: 'ic-r-assurance-z-ro-publicit.svg',
    text: 'zero_advertising',
    class: 'hide-mobile'
  }
]

export default {
  name: 'FooterAssurance',

  computed: {
    assuranceOptions() {
      return assuranceOptions.map((v) => ({
        img: require(`~/assets/images/${v.img}`),
        class: v.class,
        text: this.$t(`footer.assurance.${v.text}`)
      }))
    }
  }
}
</script>

<style lang="scss" scoped>
.header-assurance {
  padding-left: 120px;
  padding-right: 120px;

  @media only screen and (max-width: 1023px) {
    padding-left: 20px;
    padding-right: 20px;
  }
}

ul {
  display: flex;
  align-items: center;
  justify-content: space-around;

  li {
    div {
      display: flex;
      justify-content: center;
      align-items: center;
    }
    p {
      text-align: center;
      font-weight: bold;
      font-size: 16px;
      margin: 9px 0;

      @media only screen and (max-width: 1023px) {
        font-size: 14px;
        max-width: 115px;
      }
    }

    &.hide-mobile {
      @media only screen and (max-width: 640px) {
        display: none;
      }
    }
  }
}
</style>
